//
//  MADCoreConfig.h
//  MobileBank
//
//  Created by TikBai on 2021/8/26.
//

#import <Foundation/Foundation.h>
#import "WXLog.h"

@interface MADCoreConfig : NSObject

/** weex日志级别
 * 生产环境务必传  WXLogLevelOff
 * 同时WXLogLevelOff 模式会校验Bundle ID
 * 默认 WXLogLevelWarning
 */
@property (nonatomic, assign) WXLogLevel weexLog;

/** Worker日志开关单独设置
 * 查看Worker日志请传 YES
 * 默认为 NO
 */
@property (nonatomic, assign) BOOL workerLog;

/** 代理地址(抓包使用)
 * 抓包时请传入对应地址
 * 默认为 空
 */
@property (nonatomic, copy) NSString *proxyStr;

/** 通过workerApi请求资源
 * 使用代理端口请传 YES
 * 默认为 NO
 */
@property (nonatomic, assign) BOOL isUse;

/** weex Stream Log
 * 打印Stream日志,此日志依赖于weexLog的WXLogLevelInfo 打开请传 YES
 * 默认为 NO
 */
@property (nonatomic, assign) BOOL isStreamLog;

/** 异步更新列表
 * 异步更新列表  异步请传 YES
 * 默认为 NO(sync)
 */
@property (nonatomic, assign) BOOL isAsync;

/** UserAgent 配置
 * MADP Web容器存储UserAgent配置
 * 默认为 NO 通过WKWebViewConfiguration applicationNameForUserAgent 方式 配置UserAgent
 */
@property (nonatomic, assign) BOOL isSaveUserAgent;


/** 安全团队国密ssl
 * 开启资源国密ssl
 */
@property (nonatomic , assign)BOOL  isResourceSSL;

/** 安全团队国密ssl
 * 开启交易国密ssl
 */
@property (nonatomic , assign)BOOL  isCommunicationSSL;

@end

